BEGIN ~DeCRE#08~

IF ~NumTimesTalkedTo(0)~ THEN BEGIN 0
  SAY @1
  IF ~~ THEN EXTERN ~DeCRE#06~ 0
END

IF ~~ THEN BEGIN 1
  SAY @2
  IF ~~ THEN EXTERN ~DeCRE#06~ 1
END

IF ~~ THEN BEGIN 2
  SAY @3
  IF ~~ THEN EXTERN ~DeCRE#07~ 0
END

IF ~~ THEN BEGIN 3
  SAY @4
  IF ~~ THEN EXTERN ~DeCRE#07~ 3
END

IF ~~ THEN BEGIN 4
  SAY @5
  IF ~~ THEN EXTERN ~DeCRE#06~ 4
END

IF ~~ THEN BEGIN 5
  SAY @6
  IF ~~ THEN EXTERN ~DeCRE#07~ 5
END

IF ~~ THEN BEGIN 6
  SAY @7
  IF ~~ THEN EXTERN ~DeCRE#07~ 6
END

IF ~Global("DeIdiotsTalked","GLOBALS",1)~ THEN BEGIN 7
  SAY @8 
  IF ~~ THEN EXIT
END
